Description

Supportanfrage

Hallo Support Team,

über den Block "Direct_Show_Video_Device" sehe ich mein aktuelles Kamerabild. Nach einem Image_Compressor wird dieses in

einer .dat-Datei gespeichert.

Anschließend konnte ich das Video mittels des DAT-Exporters extrahieren und als .avi-Datei speichern.

Da nun weitere Messungen durchgeführt werden sollen würde ich diesen Schritt gerne umgehen.

Ist es in der ADTF Version 2.9.0 möglich das Bild aus dem "Direct_Show_Video_Device" live in einer Video Datei zu speichern?

Vielen Dank und viele Grüße

Christian Beer

Lösung

Das ist so nicht möglich, ADTF arbeitet mit dem DAT Format, der DATexporter kann die Daten dann in anderen Formaten

bereitstellen.

Du kannst den Postprocessing Schritt nur dahingehend optimieren, statt der DATexporter GUI das Kommandozeilen Tool zu

verwenden, dann könntest du diesen Schritten batchen.

Alternative wäre nur:

1) Einen AVI Recorder Filter zu implementieren

2) Da das Device Open Source geliefert wird (<DevTB_DIR>\src\plugins\common_directshowcapture\) könntest du es so

umschreiben, dass es direkt ein AVI File erzeugt

Ich sehe aber beide Schritte sehr aufwändig und würde mit den Bordmitteln arbeiten.

History

#1 - 2017-10-30 12:05 - hidden

- Project changed from Public Support to 5

- Status changed from New to In Progress

- Topic set to ADTF::Datexporter

#2 - 2017-10-30 12:10 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Christian,

das ist so nicht möglich, ADTF arbeitet mit dem DAT Format, der DATexporter kann die Daten dann in anderen Formaten bereitstellen.

Du kannst den Postprocessing Schritt nur dahingehend optimieren, statt der DATexporter GUI das Kommandozeilen Tool zu verwenden, dann

könntest du diesen Schritten batchen.
Alternative wäre nur:

1) Einen AVI Recorder Filter zu implementieren

2) Da das Device Open Source geliefert wird (<DevTB_DIR>\src\plugins\common_directshowcapture\) könntest du es so umschreiben, dass es direkt

ein AVI File erzeugt

Ich sehe aber beide Schritte sehr aufwändig und würde mit den Bordmitteln arbeiten.

Ist deine Frage damit geklärt ?

#3 - 2017-11-02 08:00 - hidden

Hallo Florian,

vielen Dank für die schnelle Rückmeldung.

Die Frage ist damit geklärt.

Viele Grüße

Christian Beer

#4 - 2017-11-02 10:45 - hidden

- Subject changed from Direct Show Video Device to video file to Direct Show Video Device direct to video file (AVI)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#5 - 2017-11-02 10:45 - hidden

- Status changed from To Be Closed to Closed

#6 - 2018-01-25 11:30 - hidden

- Project changed from 5 to Public Support

- Private changed from Yes to No
